<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="form(mode)" th:object="${resource}">
    <input type="hidden" th:field="*{id}" />
    <!-- SIGNUP -->
    <div th:if="${mode == 'signup'}">
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABBREVIATION}}, 
                                                                 field = 'abbreviation', 
                                                                 required = true, 
                                                                 maxlength = 3, 
                                                                 placeholder = '',
                                                                 columnsize = 'three wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 50, 
                                                                 placeholder = 'Your Name',
                                                                 columnsize = 'thirteen wide'
                                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMAIL}}, 
                                                                 field = 'email', 
                                                                 required = true, 
                                                                 maxlength = 80, 
                                                                 placeholder = 'Email Address',
                                                                 columnsize = 'sixteen wide'
                                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: radio(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_GENDER}}, 
                                                                  field = 'gender', 
                                                                  options = ${genders},
                                                                  required = true, 
                                                                  message = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_GENDER},
                                                                  columnsize = 'sixteen wide'
                                                                  )" />
      </div>
    </div>
    <!-- PERSONAL DATA -->
    <div th:if="${mode == 'personaldata'}">
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABBREVIATION}}, 
                                                                 field = 'abbreviation', 
                                                                 required = true, 
                                                                 maxlength = 3, 
                                                                 placeholder = '',
                                                                 columnsize = 'three wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 50, 
                                                                 placeholder = '',
                                                                 columnsize = 'thirteen wide'
                                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PHONE}}, 
                                                             field = 'phone', 
                                                             required = false, 
                                                             maxlength = 20, 
                                                             placeholder = '',
                                                             columnsize = 'four wide'
                                                             )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MOBILE}}, 
                                                             field = 'mobile', 
                                                             required = false, 
                                                             maxlength = 20, 
                                                             placeholder = '',
                                                             columnsize = 'four wide'
                                                             )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXTENSION}}, 
                                                             field = 'extension', 
                                                             required = false, 
                                                             maxlength = 5, 
                                                             placeholder = '',
                                                             columnsize = 'two wide'
                                                             )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMAIL}}, 
                                                                 field = 'email', 
                                                                 required = true, 
                                                                 maxlength = 80, 
                                                                 placeholder = '',
                                                                 columnsize = 'sixteen wide'
                                                                 )" />
      </div>
    </div>
    <!-- RESOURCES -->
    <div th:if="${mode == 'resources'}">
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ABBREVIATION}}, 
                                                                 field = 'abbreviation', 
                                                                 required = true, 
                                                                 maxlength = 3, 
                                                                 placeholder = '',
                                                                 columnsize = 'two wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 50, 
                                                                 placeholder = '',
                                                                 columnsize = 'five wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EMAIL}}, 
                                                                 field = 'email', 
                                                                 required = true, 
                                                                 maxlength = 80, 
                                                                 placeholder = '',
                                                                 columnsize = 'nine wide'
                                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERNAME}},
                                                                 field = 'username',
                                                                 required = true,
                                                                 maxlength = 15,
                                                                 placeholder = '',
                                                                 columnsize = 'four wide'
                                                                 )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PROFILE}}, 
                                                                         field = 'profile', 
                                                                         options = ${profiles},
                                                                         optionfield = 'item.name',
                                                                         required = true,
                                                                         columnsize = 'three wide',
                                                                         emptyoption = true
                                                                         )" />
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SCHEDULE}}, 
                                                                         field = 'schedule', 
                                                                         options = ${schedules},
                                                                         optionfield = 'item.name',
                                                                         required = true,
                                                                         columnsize = 'two wide',
                                                                         emptyoption = true
                                                                         )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
                                                                     field = 'startingDay',
                                                                     required = true,
                                                                     value = ${#dates.format(resource.startingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)},
                                                                     placeholder = '',
                                                                     columnsize = 'two wide'
                                                                     )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
                                                                     field = 'endingDay',
                                                                     required = false,
                                                                     value = ${#dates.format(resource.endingDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)},
                                                                     placeholder = '',
                                                                     columnsize = 'two wide'
                                                                     )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXTERNALCODE}}, 
                                                                 field = 'code', 
                                                                 required = true, 
                                                                 maxlength = 7, 
                                                                 placeholder = '',
                                                                 columnsize = 'three wide'
                                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: radio(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_GENDER}}, 
                                                                  field = 'gender', 
                                                                  options = ${genders},
                                                                  required = true, 
                                                                  message = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_GENDER},
                                                                  columnsize = 'four wide'
                                                                  )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PHONE}}, 
                                                             field = 'phone', 
                                                             required = false, 
                                                             maxlength = 20, 
                                                             placeholder = '',
                                                             columnsize = 'two wide'
                                                             )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MOBILE}}, 
                                                             field = 'mobile', 
                                                             required = false, 
                                                             maxlength = 20, 
                                                             placeholder = '',
                                                             columnsize = 'two wide'
                                                             )" />
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXTENSION}}, 
                                                             field = 'extension', 
                                                             required = false, 
                                                             maxlength = 5, 
                                                             placeholder = '',
                                                             columnsize = 'two wide'
                                                             )" />
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}, 
                                                                   field = 'active', 
                                                                   required = true, 
                                                                   option = '',
                                                                   localized = false,
                                                                   message = '',
                                                                   columnsize = 'two wide',
                                                                   function = ''
                                                                   )" />
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVED}}, 
                                                                   field = 'approved', 
                                                                   required = true, 
                                                                   option = '',
                                                                   localized = false,
                                                                   message = '',
                                                                   columnsize = 'two wide',
                                                                   function = ''
                                                                   )" />
      </div>
      <div class="fields"></div>
    </div>
  </div>
</body>
</html>